/*
 * Copyright 2009, Josh Devins, Jitr.org.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jitr.core;

/**
 * A simple class defining default configuration values. This is bad practice in general as an
 * interface should define a type and not just be a placeholder for values.
 * 
 * @author Josh Devins (joshdevins@jitr.org)
 */
public final class Defaults {

    public static final String DEFAULT_CONTAINER_WORK_PATH = "target";

    public static final String DEFAULT_CONTEXT_PATH = "/";

    public static final OperationalMode DEFAULT_MODE = OperationalMode.INTERNAL;

    public static final int DEFAULT_PORT = -1;

    public static final String DEFAULT_WAR_PATH = "src/main/webapp";

    private Defaults() {
        // do not instantiate
    }
}
