/*
 * Copyright 2009, Josh Devins, Jitr.org.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jitr.core;

/**
 * Defines the possible operational running modes for Jitr.
 * 
 * @author Josh Devins (joshdevins@jitr.org)
 */
public enum OperationalMode {

    /**
     * Jitr runs the container and uses the same Spring application context as the running web
     * application.
     */
    INTERNAL,

    /**
     * Jitr runs the container and uses an external Spring application context.
     */
    MIXED,

    /**
     * Jitr does not run the container and uses an external Spring application context.
     */
    EXTERNAL;

    public boolean isContainerEnabled() {
        return this == INTERNAL || this == MIXED;
    }
}
